gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasShape Bezier path canvas item

A canvas item type for creating a "path" from curve and line segments.

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  The that this item belongs to.
  Creates a new Bezier path
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  GLib.Property("bpath")
  System.IntPtr Pointer to a GnomeCanvasPathDef structure. Pointer to a GnomeCanvasPathDef structure.

  Pointer to a structure. This can be created by a call to the constructor.

- Property
  2.24.0.0
  Gnome.CanvasPathDef The Path definition for this shape. a describing the shape.
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .